org.codehaus.groovy.antlr

## Class AntlrASTProcessSnippets

- java.lang.Object
- - org.codehaus.groovy.antlr.AntlrASTProcessSnippets

- All Implemented Interfaces:
    AntlrASTProcessor

      public class AntlrASTProcessSnippets
      extends java.lang.Object
      implements AntlrASTProcessor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AntlrASTProcessSnippets()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AST` | `process(AST t)` decorate antlr AST with ending line/col info, and if possible the snippet of source from the start/end line/col for each node.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AntlrASTProcessSnippets

          public AntlrASTProcessSnippets()

  - ### Method Detail

    - #### process

          public AST process(AST t)

      decorate antlr AST with ending line/col info, and if possible the snippet of source from the start/end line/col for each node.
      Specified by:
        `process` in interface `AntlrASTProcessor`
      Parameters:
        `t` - the AST to decorate
      Returns:
        the decorated AST